[gs-bugs] [Bug 691990] How do I fix gs 9.01 "Warning: the Xfonts feature is deprecated and will be removed in a future release."

bugzilla-daemon at ghostscript.com bugzilla-daemon at ghostscript.com
Mon Feb 21 08:21:11 UTC 2011


http://bugs.ghostscript.com/show_bug.cgi?id=691990

Chris Liddell <chris.liddell at artifex.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |WONTFIX

--- Comment #1 from Chris Liddell <chris.liddell at artifex.com> 2011-02-21 08:21:06 UTC ---
First ghostscript-fonts-std-8.11.tar.gz is outdated, and you should use the
fonts included with the Ghostscript release (in Resource/Font).

Second, yes -dNOPLATFONTS is an acceptable way to prevent GS from trying to
load platform dependent fonts (in this case, as you surmise, fonts from the X
server).

Thirdly, it is planned that the Xfonts (eXternal fonts) feature will be removed
completely in a near future release (within the next year). There have been
numerous quality and compatibility problems with Xfonts, some of which might be
soluble, but at least some of which are totally outside our control, thus it
was felt that the best strategy would be to remove the feature.

But we recognise that removing a feature is not something to be done lightly,
so I felt that an (intentionally!) annoying warning message would ensure that
anyone using Xfonts would now be aware that was the case, and more importantly,
anyone whose application relied on Xfonts behaviour would have a chance to make
a case which might change our plans.

-- 
Configure bugmail: http://bugs.ghostscript.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug.


More information about the gs-bugs mailing list